/* --- AW Layout - Center - table_results */

.awlaycenter .table_results.z-grid { border: 0; }
.awlaycenter .table_results .z-grid-header { background: #fff; }

.awlaycenter .table_results .z-row-content,
.awlaycenter .table_results .z-column-content { padding: 2px 6px 2px 6px; }

.awlaycenter .table_results .titleheaders { background: linear-gradient(to bottom, var(--gridgradientheadersstart) 0%, var(--gridgradientheadersstart) 50%, var(--gridgradientheadersstop) 100%); }

.awlaycenter .table_results .dataheaders,
.awlaycenter .table_results TR TD:first-child { background: var(--gridgradientrowsstart); }

.awlaycenter .table_results tr td:first-child { text-align: left !important; }
.awlaycenter .table_results tr td:not(:first-child) { text-align: center !important; }

.awlaycenter .table_results .titlecolumns { background: var(--gridgradientheaderskeeps); font-weight: bold; white-space: normal; }
.awlaycenter .table_results .dataheaders { font-weight: bold; text-align: center; }
.awlaycenter .table_results .datarows { font-weight: bold; text-align: left !important;}

.awlaycenter .table_results TH,
.awlaycenter .table_results TD { border-bottom: 1px solid #d5d5d5; border-right: 1px solid #d5d5d5; }

.awlaycenter .table_results TH:first-child,
.awlaycenter .table_results TD:first-child { border-left: 1px solid #d5d5d5; }
.awlaycenter .table_results TR:first-child TH { border-top: 1px solid #d5d5d5; }

.awlaycenter .table_results .z-row:hover > .z-row-inner:not(TD:first-child),
.awlaycenter .table_results .z-row:hover > .z-cell:not(TD:first-child) { background: #edf4fa !important; }

/* --- AW Layout - Center - workspace_results */
.awlaycenter .workspace_results { margin: 0; padding: 0; }

.awlaycenter .workspace_results table th { font-weight: bold; text-align: left; padding: 3px 4px 3px 4px; }
.awlaycenter .workspace_results table .link:not(.btn-sel) { color: #4882bb !important; cursor: pointer; }

.awlaycenter .workspace_results table .expanded:before { font: normal normal normal 14px/1 FontAwesome; content: "\f146"; padding-right: 4px; }
.awlaycenter .workspace_results table .collapsed:before { font: normal normal normal 14px/1 FontAwesome; content: "\f0fe"; padding-right: 4px; }

.awlaycenter .workspace_results .dataheaders { font-size: 12px; }
.awlaycenter .workspace_results .titlecolumns { font-size: 12px; text-align: center; }

.awlaycenter .workspace_results .titleheaders { background: linear-gradient(to bottom, var(--gridgradientheadersstart) 0%, var(--gridgradientheadersstart) 50%, var(--gridgradientheadersstop) 100%); }
.awlaycenter .workspace_results .titleheadersfirst { background: linear-gradient(to bottom, var(--gridgradientheadersstart) 0%, var(--gridgradientheadersstart) 50%, var(--gridgradientheaderskeeps) 100%); }
.awlaycenter .workspace_results .titleheaderscenter { background: var(--gridgradientheaderskeeps); }
.awlaycenter .workspace_results .titleheaderslast { background: linear-gradient(to bottom, var(--gridgradientheaderskeeps) 0%, var(--gridgradientheaderskeeps) 50%, var(--gridgradientheadersstop) 100%); }

.awlaycenter .workspace_results .titlerows { background: linear-gradient(to right, var(--gridgradientrowsstart) 0%, var(--gridgradientrowsstart) 50%, var(--gridgradientrowsstop) 100%); }
.awlaycenter .workspace_results .titlerowsfirst { background: linear-gradient(to right, var(--gridgradientrowsstart) 0%, var(--gridgradientrowsstart) 50%, var(--gridgradientrowskeeps) 100%); }
.awlaycenter .workspace_results .titlerowscenter { background: var(--gridgradientrowskeeps); }
.awlaycenter .workspace_results .titlerowslast { background: linear-gradient(to right, var(--gridgradientrowskeeps) 0%,  var(--gridgradientrowskeeps) 50%, var(--gridgradientrowsstop) 100%); }

.awlaycenter .workspace_results .dataheaders,
.awlaycenter .workspace_results .addheaders,
.awlaycenter .workspace_results .datarows { background: var(--gridgradientrowsstart); }
.awlaycenter .workspace_results .datacolumns { background-color: white; }
.awlaycenter .workspace_results .titlecolumns { background: linear-gradient(to bottom, var(--gridgradientheadersstart) 0%, var(--gridgradientheadersstart) 50%, var(--gridgradientheadersstop) 100%); }

.awlaycenter .workspace_results .titleheaders,
.awlaycenter .workspace_results .titleheadersfirst,
.awlaycenter .workspace_results .titleheaderscenter,
.awlaycenter .workspace_results .titleheaderslast,
.awlaycenter .workspace_results .titlerowsfirst,
.awlaycenter .workspace_results .titlerowscenter,
.awlaycenter .workspace_results .titlerowslast,
.awlaycenter .workspace_results .titlerows {
    padding: 0 !important;
}

.awlaycenter .workspace_results .titleheaders,
.awlaycenter .workspace_results .titleheadersfirst,
.awlaycenter .workspace_results .titleheaderscenter,
.awlaycenter .workspace_results .titleheaderslast,
.awlaycenter .workspace_results .titlerowsfirst,
.awlaycenter .workspace_results .titlerowscenter,
.awlaycenter .workspace_results .titlerowslast,
.awlaycenter .workspace_results .titlerows,
.awlaycenter .workspace_results .titlecolumns.drag-center-m,
.awlaycenter .workspace_results .drag-element {
    cursor: pointer;
 	-webkit-touch-callout: none; /* iOS Safari */
   	-webkit-user-select: none; /* Safari */
    -khtml-user-select: none; /* Konqueror HTML */
    -moz-user-select: none; /* Firefox */
    -ms-user-select: none; /* Internet Explorer/Edge */
     user-select: none; /* Non-prefixed version, currently supported by Chrome and Opera */
}

.awlaycenter .workspace_results table .th-container {
    display: inline-flex;
    width: 100%;
}

.awlaycenter .workspace_results table .drag-center-v {
	position: absolute;
    top: 4px;
    right: 0;
    bottom: 4px;
    left: 0;
	padding: 0px 0px 0px 4px !important;
}

.awlaycenter .workspace_results table .text-center-v {
	position: absolute;
    top: 50%;
    left: 4px;
    transform: translate(0, -50%);
}

.awlaycenter .workspace_results table .hide-center-v {
	padding: 0px 20px 0px 4px !important;
	color: transparent;
}

.awlaycenter .workspace_results table .drag-center-o {
	position: absolute;
    top: 0;
    right: 4px;
    bottom: 0;
    left: 4px;
	padding: 0px 0px 0px 0px !important;
}

.awlaycenter .workspace_results table .text-center-o {
	position: absolute;
    top: 50%;
    left: 0%;
    transform: translate(0, -50%);
}

.awlaycenter .workspace_results table .hide-center-o {
	padding: 4px 20px 4px 4px !important;
	color: transparent;
}

.awlaycenter .workspace_results table .drag-left,
.awlaycenter .workspace_results table .drag-left-none {
    position: absolute;
    left: 0;
    top: 0;
	width: 4px;
    height: 100%;
}

.awlaycenter .workspace_results table .drag-right,
.awlaycenter .workspace_results table .drag-right-none {
    position: absolute;
    right: 0;
    top: 0;
	width: 4px;
    height: 100%;
}

.awlaycenter .workspace_results table .drag-top,
.awlaycenter .workspace_results table .drag-top-none {
	position: absolute;
	top: 0;
    left: 0;	
	height: 4px;
	width: 100%;
}

.awlaycenter .workspace_results table .drag-bottom,
.awlaycenter .workspace_results table .drag-bottom-none {
	position: absolute;
	bottom: 0;
	left: 0;
	height: 4px;
	width: 100%;
}

.awlaycenter .workspace_results table .drag-top.hovering,
.awlaycenter .workspace_results table .drag-bottom.hovering,
.awlaycenter .workspace_results table .drag-left.hovering,
.awlaycenter .workspace_results table .drag-right.hovering {
    background: green;
}

.awlaycenter .workspace_results table .drag-center-v.hovering,
.awlaycenter .workspace_results table .drag-center-o.hovering,
.awlaycenter .workspace_results table .drag-center-m.hovering, 
.awlaycenter .workspace_results table .drag-center-mempty.hovering, 
.awlaycenter .workspace_results table .drag-element.hovering,
.drag-filterbox.hovering,
.drag-filter.hovering {
	background: rgb(240, 255, 240);
}

.awlaycenter .workspace_results table .btn-sel {
    position: absolute;
	top: 50%;
	right: 5px;
	padding-left: 6px;
    margin-top: -6px;
}

.draggedDiv-none {
	display: none;
}

.draggedDiv,
.draggedDiv-disable {
	font-family: "sans-serif","wf_SegoeUI","wf_SegoeUILight","Segoe UI Light","Arial","Yu Gothic UI","Tahoma","Verdana";
	font-size: 13px;
	color: white;
	border-radius: 3px;
    position:absolute; 
	padding: 4px 6px 4px 6px;
	z-index: 1000;
}

.draggedDiv {
    background: green;
}

.draggedDiv-disable {
    background: red;
} 
